# Create a sub-account

Creates a new sub-account under the Partner account.

This endpoint is only available to Signable Partners.

Endpoint: POST /companies
Version: 1.0.0
Security: basicAuth

## Request fields (application/json):

  - `company_name` (string, required)
    The name of the new sub-account.
    Example: "Example Inc"

  - `user_name` (string, required)
    The full name of the initial user for the sub-account.
    Example: "Abby Signs"

  - `user_email` (string, required)
    The email address of the user to be created within the sub-account.
    Example: "abby@example.com"

## Response 200 fields (application/json):

  - `http` (integer, required)
    HTTP status code indicating the result of the request.
    Example: 200

  - `message` (string, required)
    A confirmation message.
    Example: "Example Inc has been added as a company"

  - `href` (string, required)
    URL to the newly created sub-account resource.
    Example: "https://api.signable.co.uk/v1/companies/214821"

  - `company_id` (string, required)
    Unique identifier of the newly created sub-account.
    Example: "214821"

  - `company_name` (string, required)
    Name of the newly created sub-account.
    Example: "Example Inc"

  - `company_email` (string, required)
    Registered email address for the sub-account.
    Example: "abby@example.com"

  - `api_key` (string, required)
    API key associated with the sub-account.
    Example: "9c66b129752046***********"

  - `user_id` (string, required)
    ID of the user created within the sub-account.
    Example: "838931"

  - `user_name` (string, required)
    Full name of the user created in the sub-account.
    Example: "Abby Signs"

  - `user_email` (string, required)
    Email address of the created user.
    Example: "abby@example.com"

  - `user_href` (string, required)
    URL to the created user resource.
    Example: "https://api.signable.co.uk/v1/users/838931"

  - `company_added` (string, required)
    Timestamp when the sub-account was created.
    Example: "2025-07-21T08:16:51+0000"


